package com.mortals.xhx.modules.implementlist.model;

import java.util.List;

/**
*
* Description:Implementlist
* date: 2021-8-3 9:12:39
*/
public class ImplementlistQuery extends ImplementlistEntity{
    private static final long serialVersionUID = 1627953159193L;

    /** 主键ID */
    private List<String> idList;

    /** 目录清单ID */
    private List<String> dirListIdList;

    /** 运行系统 */
    private List<String> runSystemList;

    /** 业务办理系统 */
    private List<String> businessSystemList;

    /** 行使层级 */
    private List<String> performHierarchyList;

    /** 跳转链接 */
    private List<String> jumpUrlList;

    /** 事项类型 */
    private List<String> eventTypeList;

    /** 事项代码 */
    private List<String> eventCodeList;

    /** 事项名称 */
    private List<String> eventNameList;

    /** 所属大项 */
    private List<String> majorTermList;

    /** 行业 */
    private List<String> tradeList;

    /** 联审信息 */
    private List<String> jointReviewInfoList;

    /** 审批对象 */
    private List<String> appoveObjectList;

    /** 审批时限 */
    private List<String> appoveTimeLimitList;

    /** 审批类别 */
    private List<String> appoveTypeList;

    /** 办理总时限 */
    private List<String> legalTimeLimitList;

    /** 材料预审 */
    private List<String> materialInquiryList;

    /** 办件性质 */
    private List<String> doThiingPropertyList;

    /** 申请窗口 */
    private List<String> applyWindowList;

    /** 备注 */
    private List<String> remarkList;

    /**  */
    private List<String> onlineItemTypeList;

    /**  */
    private List<String> statusList;

    /** 是否上报 */
    private List<String> isDeliverList;

    /** 总材料说明 */
    private List<String> materialRemarkList;

    /** 办理类型 */
    private List<String> handleTypeList;

    /** 办事者到现场次数 */
    private List<String> percenceTimesList;

    /** 认证等级需求 */
    private List<String> certificationLevelsList;

    /** 地区编码 */
    private List<String> areaCodeList;

    /** 地区名称 */
    private List<String> areaNameList;

    /** 部门编码 */
    private List<String> deptCodeList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 分片字段 */
    private List<String> shardKeyList;

    /** 创建人ID */
    private List<String> creatorIdList;

    /** 创建人名称 */
    private List<String> creatorNameList;

    /** 创建时间 */
    private List<String> createsTimeList;

    /** 更新时间 */
    private List<String> updatesTimeList;

    /** 删除标识 */
    private List<String> deleteFlagList;

    /** 创建年份 */
    private List<String> yearList;

    /** 事项简称 */
    private List<String> shortNameList;

    /** 事项类别 */
    private List<String> eventCategoryList;

    /** 公示开始时间 */
    private List<String> pubBeginTimeList;

    /** 公示结束时间（至） */
    private List<String> pubEndTimeList;

    /** 是否证明材料类事项 */
    private List<String> isProofMaterialList;

    /** 使用人：部门/自然人/法人 */
    private List<String> userList;

    /** 上报层级，枚举多选 */
    private List<String> reportHierarchyList;

    /** 上报地区 */
    private List<String> reportAreaList;

    /** 上报单位部门 */
    private List<String> reportDeptList;

    /** 事项决定权，枚举多选 */
    private List<String> eventDecPowerList;

    /** 统计标识,1:统计 0:不统计 */
    private List<String> isStatisticsList;

    /** 服务内容 */
    private List<String> serviceContentList;

    /** 是否最新版本 */
    private List<String> isNewestList;

    /** 版本号 */
    private List<String> versionList;

    /** 是否进入政务服务中心/便民服务中心窗口办理。必选，是/否； */
    private List<String> goveServiceCenterList;

    /** 是否授权窗口工作人员全程办理。必选，接件、受理、审核、转报、出具结论性意见、审批决定权、审核上报权、组织协调权、印章使用（用于监察系统） */
    private List<String> isAuthoTransactList;

    /** 是否网上预约（单选）：是或者否 */
    private List<String> isOnlineSubscribeList;

    /** 收费情况 */
    private List<String> isChargesList;

    /** 是否在线支付 */
    private List<String> isOnlinePayList;

    /** 是否支持快递取件 */
    private List<String> isExpressTakeList;

    /** 是否纳入政务服务中心 */
    private List<String> isGoveCenterList;

    /** 是否纳入便民服务中心 */
    private List<String> isConvenientCenterList;

    /** 行使编码 (实施主体) */
    private List<String> performDeptCodeList;

    /** 行使名称 (实施主体名称) */
    private List<String> performDeptNameList;

    /** 行使主体（实施性质） */
    private List<String> performDeptTypeList;

    /** 是否支持上门收取申请材料 */
    private List<String> isDoorTakeList;

    /** 承诺办理总时限 */
    private List<String> promiseTimeLimitList;

    /** 办理类型:窗口办理、原件预审、原件核验、全程网办 */
    private List<String> doThingTypeList;

    /** 发起主体 */
    private List<String> launchBodyList;

    /** 省级审查类型 */
    private List<String> proReviewTypeList;

    /** 市级审查类型 */
    private List<String> cityReviewTypeList;

    /** 区县级审查类型 */
    private List<String> couReviewTypeList;

    /** 乡镇级审查类型 */
    private List<String> townReviewTypeList;

    /** 事项设定来源-枚举多选 */
    private List<String> vilReviewTypeList;

    /** 用户类型(1：普通用户，2：会员) */
    private List<String> eventSourceList;

    /** 是否数量限制 */
    private List<String> isNumberLimitList;

    /** 数量限制 */
    private List<String> numberLimitList;

    /** 事项是否在一体化平台办理 */
    private List<String> isIntegrationList;

    /** 部门系统级别 */
    private List<String> deptSysLevelList;

    /** 办理结果是否能够在一体化平台共享 */
    private List<String> isShareList;

    /** 行使方式：1 依申请 2主动行使 */
    private List<String> applyObjectList;

    /** 按人生事件分类/按经营活动分类 */
    private List<String> lifeEventTypeList;

    /** 按特定对象分类 */
    private List<String> specialObjectTypeList;

    /** 按扶贫服务分类 */
    private List<String> poorObjectTypeList;

    /** 办理结果形式 */
    private List<String> handleResultFormList;

    /** 部门系统名称 */
    private List<String> deptSysNameList;

    /** 原因 */
    private List<String> reasonList;

    /** 实施清单业务状态 */
    private List<String> eventStatusList;

    /** 是否支持快递取件_网办类型 */
    private List<String> isExpressTakeOnlineList;

    /** 办事者到办理现场次数_网办类型 */
    private List<String> percenceTimesOnlineList;

    /** 网办类型0：原件预审 1：原件核验 2：全程网办 */
    private List<String> onlineTypeList;

    /** 部门id */
    private List<String> deptIdList;

    /** 节日类型:1 工作日  2 自然日 */
    private List<String> daysTypeList;

    /** 目录清单是否变更 */
    private List<String> isDirChangeList;

    /** 实施清单来源 */
    private List<String> implListSourceList;

    /** 流程实例id */
    private List<String> wfInstanceIdList;

    /** 是否支持全城通办 */
    private List<String> isCityWideOfficeList;

    /** 是否支持全省范围就近申请 */
    private List<String> isApplyProvinceList;

    /** 是否支持全省范围就近取件 */
    private List<String> isProvinceAcquisitionList;

    /** 目录清单编码 */
    private List<String> dirListCodeList;

    /** 实施清单管理列表是否显示该数据 */
    private List<String> isShowList;

    /** 末级部门编码 */
    private List<String> implDeptCodeList;

    /** 末级部门id */
    private List<String> implDeptIdList;

    /** 厅局办件标识  是否统一受理  1.统一受理 2.非统一受理 3.全程办理 */
    private List<String> isUniteAcceptList;

    /** 法定时限 */
    private List<String> subLegalTimeLimitList;

    /** 承诺时限 */
    private List<String> subPromiseTimeLimitList;

    /** 事项简称(俗语) */
    private List<String> commonSayingList;

    /** 承诺办理总时限单位 */
    private List<String> clDaysTypeList;

    /** 是否割接数据 1表示是  null 表示否 */
    private List<String> isCutOffList;

    /** 是否割接数据 1:是 */
    private List<String> isOlddataList;

    /** 权力来源 */
    private List<String> powerSourceList;

    /** 委托部门 */
    private List<String> entrustDeptList;

    /** 特别程序 */
    private List<String> specProcedureList;

    /** 通办范围:1全国 2跨省 3跨市 4跨县 5跨镇（乡、街道）6跨村（社区） */
    private List<String> operatScopeList;

    /** 联办机构 */
    private List<String> jointagencyList;

    /** 审批结果类型 枚举项：10证照 20批文 30其他 99无 */
    private List<String> applyresultTypeList;

    /** 变更结果记录 */
    private List<String> applyresultsSampleList;

    /** 实施清单展示编码 */
    private List<String> showEventCodeList;

    /** 页面展示目录清单编码 */
    private List<String> showDirCodeList;

    /** 是否设置证照 */
    private List<String> isSetLicenseList;

    /** 是否场景化事项 */
    private List<String> isSceneServerList;

    /** 事项名称首字母 */
    private List<String> eventInitialList;

    /** 国家编码 */
    private List<String> catalogcodeList;

    /** 子项编码 */
    private List<String> subcodeList;

    /** 特殊状态（为空或0；1表示在门户列表中不展示的数据，办事指南和在线申请需要展示） */
    private List<String> specialStatusList;

    /** 材料目录模式:null为2.0模式，1：3.0模式 */
    private List<String> materialVersionList;

    /** 码表多选 */
    private List<String> projectTypeList;

    /** 审核状态(0：审核中1：审核通过2：审核失败） */
    private List<String> auditStateList;

    /** 存放公共服务类型：2A,2B,2C */
    private List<String> publicServiceTypeList;

    /** 是否有效：0 否，1 是，2 暂停 */
    private List<String> isValidList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ImplementlistQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ImplementlistQuery> andConditionList;


    public ImplementlistQuery(){
    }

    /**
    * 获取 主键ID
    * @return idList
    */
    public List<String> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public void setIdList(List<String> idList){
        this.idList = idList;
    }
    /**
    * 获取 目录清单ID
    * @return dirListIdList
    */
    public List<String> getDirListIdList(){
        return this.dirListIdList;
    }

    /**
    * 设置 目录清单ID
    * @param dirListIdList
    */
    public void setDirListIdList(List<String> dirListIdList){
        this.dirListIdList = dirListIdList;
    }
    /**
    * 获取 运行系统
    * @return runSystemList
    */
    public List<String> getRunSystemList(){
        return this.runSystemList;
    }

    /**
    * 设置 运行系统
    * @param runSystemList
    */
    public void setRunSystemList(List<String> runSystemList){
        this.runSystemList = runSystemList;
    }
    /**
    * 获取 业务办理系统
    * @return businessSystemList
    */
    public List<String> getBusinessSystemList(){
        return this.businessSystemList;
    }

    /**
    * 设置 业务办理系统
    * @param businessSystemList
    */
    public void setBusinessSystemList(List<String> businessSystemList){
        this.businessSystemList = businessSystemList;
    }
    /**
    * 获取 行使层级
    * @return performHierarchyList
    */
    public List<String> getPerformHierarchyList(){
        return this.performHierarchyList;
    }

    /**
    * 设置 行使层级
    * @param performHierarchyList
    */
    public void setPerformHierarchyList(List<String> performHierarchyList){
        this.performHierarchyList = performHierarchyList;
    }
    /**
    * 获取 跳转链接
    * @return jumpUrlList
    */
    public List<String> getJumpUrlList(){
        return this.jumpUrlList;
    }

    /**
    * 设置 跳转链接
    * @param jumpUrlList
    */
    public void setJumpUrlList(List<String> jumpUrlList){
        this.jumpUrlList = jumpUrlList;
    }
    /**
    * 获取 事项类型
    * @return eventTypeList
    */
    public List<String> getEventTypeList(){
        return this.eventTypeList;
    }

    /**
    * 设置 事项类型
    * @param eventTypeList
    */
    public void setEventTypeList(List<String> eventTypeList){
        this.eventTypeList = eventTypeList;
    }
    /**
    * 获取 事项代码
    * @return eventCodeList
    */
    public List<String> getEventCodeList(){
        return this.eventCodeList;
    }

    /**
    * 设置 事项代码
    * @param eventCodeList
    */
    public void setEventCodeList(List<String> eventCodeList){
        this.eventCodeList = eventCodeList;
    }
    /**
    * 获取 事项名称
    * @return eventNameList
    */
    public List<String> getEventNameList(){
        return this.eventNameList;
    }

    /**
    * 设置 事项名称
    * @param eventNameList
    */
    public void setEventNameList(List<String> eventNameList){
        this.eventNameList = eventNameList;
    }
    /**
    * 获取 所属大项
    * @return majorTermList
    */
    public List<String> getMajorTermList(){
        return this.majorTermList;
    }

    /**
    * 设置 所属大项
    * @param majorTermList
    */
    public void setMajorTermList(List<String> majorTermList){
        this.majorTermList = majorTermList;
    }
    /**
    * 获取 行业
    * @return tradeList
    */
    public List<String> getTradeList(){
        return this.tradeList;
    }

    /**
    * 设置 行业
    * @param tradeList
    */
    public void setTradeList(List<String> tradeList){
        this.tradeList = tradeList;
    }
    /**
    * 获取 联审信息
    * @return jointReviewInfoList
    */
    public List<String> getJointReviewInfoList(){
        return this.jointReviewInfoList;
    }

    /**
    * 设置 联审信息
    * @param jointReviewInfoList
    */
    public void setJointReviewInfoList(List<String> jointReviewInfoList){
        this.jointReviewInfoList = jointReviewInfoList;
    }
    /**
    * 获取 审批对象
    * @return appoveObjectList
    */
    public List<String> getAppoveObjectList(){
        return this.appoveObjectList;
    }

    /**
    * 设置 审批对象
    * @param appoveObjectList
    */
    public void setAppoveObjectList(List<String> appoveObjectList){
        this.appoveObjectList = appoveObjectList;
    }
    /**
    * 获取 审批时限
    * @return appoveTimeLimitList
    */
    public List<String> getAppoveTimeLimitList(){
        return this.appoveTimeLimitList;
    }

    /**
    * 设置 审批时限
    * @param appoveTimeLimitList
    */
    public void setAppoveTimeLimitList(List<String> appoveTimeLimitList){
        this.appoveTimeLimitList = appoveTimeLimitList;
    }
    /**
    * 获取 审批类别
    * @return appoveTypeList
    */
    public List<String> getAppoveTypeList(){
        return this.appoveTypeList;
    }

    /**
    * 设置 审批类别
    * @param appoveTypeList
    */
    public void setAppoveTypeList(List<String> appoveTypeList){
        this.appoveTypeList = appoveTypeList;
    }
    /**
    * 获取 办理总时限
    * @return legalTimeLimitList
    */
    public List<String> getLegalTimeLimitList(){
        return this.legalTimeLimitList;
    }

    /**
    * 设置 办理总时限
    * @param legalTimeLimitList
    */
    public void setLegalTimeLimitList(List<String> legalTimeLimitList){
        this.legalTimeLimitList = legalTimeLimitList;
    }
    /**
    * 获取 材料预审
    * @return materialInquiryList
    */
    public List<String> getMaterialInquiryList(){
        return this.materialInquiryList;
    }

    /**
    * 设置 材料预审
    * @param materialInquiryList
    */
    public void setMaterialInquiryList(List<String> materialInquiryList){
        this.materialInquiryList = materialInquiryList;
    }
    /**
    * 获取 办件性质
    * @return doThiingPropertyList
    */
    public List<String> getDoThiingPropertyList(){
        return this.doThiingPropertyList;
    }

    /**
    * 设置 办件性质
    * @param doThiingPropertyList
    */
    public void setDoThiingPropertyList(List<String> doThiingPropertyList){
        this.doThiingPropertyList = doThiingPropertyList;
    }
    /**
    * 获取 申请窗口
    * @return applyWindowList
    */
    public List<String> getApplyWindowList(){
        return this.applyWindowList;
    }

    /**
    * 设置 申请窗口
    * @param applyWindowList
    */
    public void setApplyWindowList(List<String> applyWindowList){
        this.applyWindowList = applyWindowList;
    }
    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 
    * @return onlineItemTypeList
    */
    public List<String> getOnlineItemTypeList(){
        return this.onlineItemTypeList;
    }

    /**
    * 设置 
    * @param onlineItemTypeList
    */
    public void setOnlineItemTypeList(List<String> onlineItemTypeList){
        this.onlineItemTypeList = onlineItemTypeList;
    }
    /**
    * 获取 
    * @return statusList
    */
    public List<String> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 
    * @param statusList
    */
    public void setStatusList(List<String> statusList){
        this.statusList = statusList;
    }
    /**
    * 获取 是否上报
    * @return isDeliverList
    */
    public List<String> getIsDeliverList(){
        return this.isDeliverList;
    }

    /**
    * 设置 是否上报
    * @param isDeliverList
    */
    public void setIsDeliverList(List<String> isDeliverList){
        this.isDeliverList = isDeliverList;
    }
    /**
    * 获取 总材料说明
    * @return materialRemarkList
    */
    public List<String> getMaterialRemarkList(){
        return this.materialRemarkList;
    }

    /**
    * 设置 总材料说明
    * @param materialRemarkList
    */
    public void setMaterialRemarkList(List<String> materialRemarkList){
        this.materialRemarkList = materialRemarkList;
    }
    /**
    * 获取 办理类型
    * @return handleTypeList
    */
    public List<String> getHandleTypeList(){
        return this.handleTypeList;
    }

    /**
    * 设置 办理类型
    * @param handleTypeList
    */
    public void setHandleTypeList(List<String> handleTypeList){
        this.handleTypeList = handleTypeList;
    }
    /**
    * 获取 办事者到现场次数
    * @return percenceTimesList
    */
    public List<String> getPercenceTimesList(){
        return this.percenceTimesList;
    }

    /**
    * 设置 办事者到现场次数
    * @param percenceTimesList
    */
    public void setPercenceTimesList(List<String> percenceTimesList){
        this.percenceTimesList = percenceTimesList;
    }
    /**
    * 获取 认证等级需求
    * @return certificationLevelsList
    */
    public List<String> getCertificationLevelsList(){
        return this.certificationLevelsList;
    }

    /**
    * 设置 认证等级需求
    * @param certificationLevelsList
    */
    public void setCertificationLevelsList(List<String> certificationLevelsList){
        this.certificationLevelsList = certificationLevelsList;
    }
    /**
    * 获取 地区编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 地区编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }
    /**
    * 获取 地区名称
    * @return areaNameList
    */
    public List<String> getAreaNameList(){
        return this.areaNameList;
    }

    /**
    * 设置 地区名称
    * @param areaNameList
    */
    public void setAreaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
    }
    /**
    * 获取 部门编码
    * @return deptCodeList
    */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
    * 设置 部门编码
    * @param deptCodeList
    */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }
    /**
    * 获取 部门名称
    * @return deptNameList
    */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
    * 设置 部门名称
    * @param deptNameList
    */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }
    /**
    * 获取 分片字段
    * @return shardKeyList
    */
    public List<String> getShardKeyList(){
        return this.shardKeyList;
    }

    /**
    * 设置 分片字段
    * @param shardKeyList
    */
    public void setShardKeyList(List<String> shardKeyList){
        this.shardKeyList = shardKeyList;
    }
    /**
    * 获取 创建人ID
    * @return creatorIdList
    */
    public List<String> getCreatorIdList(){
        return this.creatorIdList;
    }

    /**
    * 设置 创建人ID
    * @param creatorIdList
    */
    public void setCreatorIdList(List<String> creatorIdList){
        this.creatorIdList = creatorIdList;
    }
    /**
    * 获取 创建人名称
    * @return creatorNameList
    */
    public List<String> getCreatorNameList(){
        return this.creatorNameList;
    }

    /**
    * 设置 创建人名称
    * @param creatorNameList
    */
    public void setCreatorNameList(List<String> creatorNameList){
        this.creatorNameList = creatorNameList;
    }
    /**
    * 获取 创建时间
    * @return createsTimeList
    */
    public List<String> getCreatesTimeList(){
        return this.createsTimeList;
    }

    /**
    * 设置 创建时间
    * @param createsTimeList
    */
    public void setCreatesTimeList(List<String> createsTimeList){
        this.createsTimeList = createsTimeList;
    }
    /**
    * 获取 更新时间
    * @return updatesTimeList
    */
    public List<String> getUpdatesTimeList(){
        return this.updatesTimeList;
    }

    /**
    * 设置 更新时间
    * @param updatesTimeList
    */
    public void setUpdatesTimeList(List<String> updatesTimeList){
        this.updatesTimeList = updatesTimeList;
    }
    /**
    * 获取 删除标识
    * @return deleteFlagList
    */
    public List<String> getDeleteFlagList(){
        return this.deleteFlagList;
    }

    /**
    * 设置 删除标识
    * @param deleteFlagList
    */
    public void setDeleteFlagList(List<String> deleteFlagList){
        this.deleteFlagList = deleteFlagList;
    }
    /**
    * 获取 创建年份
    * @return yearList
    */
    public List<String> getYearList(){
        return this.yearList;
    }

    /**
    * 设置 创建年份
    * @param yearList
    */
    public void setYearList(List<String> yearList){
        this.yearList = yearList;
    }
    /**
    * 获取 事项简称
    * @return shortNameList
    */
    public List<String> getShortNameList(){
        return this.shortNameList;
    }

    /**
    * 设置 事项简称
    * @param shortNameList
    */
    public void setShortNameList(List<String> shortNameList){
        this.shortNameList = shortNameList;
    }
    /**
    * 获取 事项类别
    * @return eventCategoryList
    */
    public List<String> getEventCategoryList(){
        return this.eventCategoryList;
    }

    /**
    * 设置 事项类别
    * @param eventCategoryList
    */
    public void setEventCategoryList(List<String> eventCategoryList){
        this.eventCategoryList = eventCategoryList;
    }
    /**
    * 获取 公示开始时间
    * @return pubBeginTimeList
    */
    public List<String> getPubBeginTimeList(){
        return this.pubBeginTimeList;
    }

    /**
    * 设置 公示开始时间
    * @param pubBeginTimeList
    */
    public void setPubBeginTimeList(List<String> pubBeginTimeList){
        this.pubBeginTimeList = pubBeginTimeList;
    }
    /**
    * 获取 公示结束时间（至）
    * @return pubEndTimeList
    */
    public List<String> getPubEndTimeList(){
        return this.pubEndTimeList;
    }

    /**
    * 设置 公示结束时间（至）
    * @param pubEndTimeList
    */
    public void setPubEndTimeList(List<String> pubEndTimeList){
        this.pubEndTimeList = pubEndTimeList;
    }
    /**
    * 获取 是否证明材料类事项
    * @return isProofMaterialList
    */
    public List<String> getIsProofMaterialList(){
        return this.isProofMaterialList;
    }

    /**
    * 设置 是否证明材料类事项
    * @param isProofMaterialList
    */
    public void setIsProofMaterialList(List<String> isProofMaterialList){
        this.isProofMaterialList = isProofMaterialList;
    }
    /**
    * 获取 使用人：部门/自然人/法人
    * @return userList
    */
    public List<String> getUserList(){
        return this.userList;
    }

    /**
    * 设置 使用人：部门/自然人/法人
    * @param userList
    */
    public void setUserList(List<String> userList){
        this.userList = userList;
    }
    /**
    * 获取 上报层级，枚举多选
    * @return reportHierarchyList
    */
    public List<String> getReportHierarchyList(){
        return this.reportHierarchyList;
    }

    /**
    * 设置 上报层级，枚举多选
    * @param reportHierarchyList
    */
    public void setReportHierarchyList(List<String> reportHierarchyList){
        this.reportHierarchyList = reportHierarchyList;
    }
    /**
    * 获取 上报地区
    * @return reportAreaList
    */
    public List<String> getReportAreaList(){
        return this.reportAreaList;
    }

    /**
    * 设置 上报地区
    * @param reportAreaList
    */
    public void setReportAreaList(List<String> reportAreaList){
        this.reportAreaList = reportAreaList;
    }
    /**
    * 获取 上报单位部门
    * @return reportDeptList
    */
    public List<String> getReportDeptList(){
        return this.reportDeptList;
    }

    /**
    * 设置 上报单位部门
    * @param reportDeptList
    */
    public void setReportDeptList(List<String> reportDeptList){
        this.reportDeptList = reportDeptList;
    }
    /**
    * 获取 事项决定权，枚举多选
    * @return eventDecPowerList
    */
    public List<String> getEventDecPowerList(){
        return this.eventDecPowerList;
    }

    /**
    * 设置 事项决定权，枚举多选
    * @param eventDecPowerList
    */
    public void setEventDecPowerList(List<String> eventDecPowerList){
        this.eventDecPowerList = eventDecPowerList;
    }
    /**
    * 获取 统计标识,1:统计 0:不统计
    * @return isStatisticsList
    */
    public List<String> getIsStatisticsList(){
        return this.isStatisticsList;
    }

    /**
    * 设置 统计标识,1:统计 0:不统计
    * @param isStatisticsList
    */
    public void setIsStatisticsList(List<String> isStatisticsList){
        this.isStatisticsList = isStatisticsList;
    }
    /**
    * 获取 服务内容
    * @return serviceContentList
    */
    public List<String> getServiceContentList(){
        return this.serviceContentList;
    }

    /**
    * 设置 服务内容
    * @param serviceContentList
    */
    public void setServiceContentList(List<String> serviceContentList){
        this.serviceContentList = serviceContentList;
    }
    /**
    * 获取 是否最新版本
    * @return isNewestList
    */
    public List<String> getIsNewestList(){
        return this.isNewestList;
    }

    /**
    * 设置 是否最新版本
    * @param isNewestList
    */
    public void setIsNewestList(List<String> isNewestList){
        this.isNewestList = isNewestList;
    }
    /**
    * 获取 版本号
    * @return versionList
    */
    public List<String> getVersionList(){
        return this.versionList;
    }

    /**
    * 设置 版本号
    * @param versionList
    */
    public void setVersionList(List<String> versionList){
        this.versionList = versionList;
    }
    /**
    * 获取 是否进入政务服务中心/便民服务中心窗口办理。必选，是/否；
    * @return goveServiceCenterList
    */
    public List<String> getGoveServiceCenterList(){
        return this.goveServiceCenterList;
    }

    /**
    * 设置 是否进入政务服务中心/便民服务中心窗口办理。必选，是/否；
    * @param goveServiceCenterList
    */
    public void setGoveServiceCenterList(List<String> goveServiceCenterList){
        this.goveServiceCenterList = goveServiceCenterList;
    }
    /**
    * 获取 是否授权窗口工作人员全程办理。必选，接件、受理、审核、转报、出具结论性意见、审批决定权、审核上报权、组织协调权、印章使用（用于监察系统）
    * @return isAuthoTransactList
    */
    public List<String> getIsAuthoTransactList(){
        return this.isAuthoTransactList;
    }

    /**
    * 设置 是否授权窗口工作人员全程办理。必选，接件、受理、审核、转报、出具结论性意见、审批决定权、审核上报权、组织协调权、印章使用（用于监察系统）
    * @param isAuthoTransactList
    */
    public void setIsAuthoTransactList(List<String> isAuthoTransactList){
        this.isAuthoTransactList = isAuthoTransactList;
    }
    /**
    * 获取 是否网上预约（单选）：是或者否
    * @return isOnlineSubscribeList
    */
    public List<String> getIsOnlineSubscribeList(){
        return this.isOnlineSubscribeList;
    }

    /**
    * 设置 是否网上预约（单选）：是或者否
    * @param isOnlineSubscribeList
    */
    public void setIsOnlineSubscribeList(List<String> isOnlineSubscribeList){
        this.isOnlineSubscribeList = isOnlineSubscribeList;
    }
    /**
    * 获取 收费情况
    * @return isChargesList
    */
    public List<String> getIsChargesList(){
        return this.isChargesList;
    }

    /**
    * 设置 收费情况
    * @param isChargesList
    */
    public void setIsChargesList(List<String> isChargesList){
        this.isChargesList = isChargesList;
    }
    /**
    * 获取 是否在线支付
    * @return isOnlinePayList
    */
    public List<String> getIsOnlinePayList(){
        return this.isOnlinePayList;
    }

    /**
    * 设置 是否在线支付
    * @param isOnlinePayList
    */
    public void setIsOnlinePayList(List<String> isOnlinePayList){
        this.isOnlinePayList = isOnlinePayList;
    }
    /**
    * 获取 是否支持快递取件
    * @return isExpressTakeList
    */
    public List<String> getIsExpressTakeList(){
        return this.isExpressTakeList;
    }

    /**
    * 设置 是否支持快递取件
    * @param isExpressTakeList
    */
    public void setIsExpressTakeList(List<String> isExpressTakeList){
        this.isExpressTakeList = isExpressTakeList;
    }
    /**
    * 获取 是否纳入政务服务中心
    * @return isGoveCenterList
    */
    public List<String> getIsGoveCenterList(){
        return this.isGoveCenterList;
    }

    /**
    * 设置 是否纳入政务服务中心
    * @param isGoveCenterList
    */
    public void setIsGoveCenterList(List<String> isGoveCenterList){
        this.isGoveCenterList = isGoveCenterList;
    }
    /**
    * 获取 是否纳入便民服务中心
    * @return isConvenientCenterList
    */
    public List<String> getIsConvenientCenterList(){
        return this.isConvenientCenterList;
    }

    /**
    * 设置 是否纳入便民服务中心
    * @param isConvenientCenterList
    */
    public void setIsConvenientCenterList(List<String> isConvenientCenterList){
        this.isConvenientCenterList = isConvenientCenterList;
    }
    /**
    * 获取 行使编码 (实施主体)
    * @return performDeptCodeList
    */
    public List<String> getPerformDeptCodeList(){
        return this.performDeptCodeList;
    }

    /**
    * 设置 行使编码 (实施主体)
    * @param performDeptCodeList
    */
    public void setPerformDeptCodeList(List<String> performDeptCodeList){
        this.performDeptCodeList = performDeptCodeList;
    }
    /**
    * 获取 行使名称 (实施主体名称)
    * @return performDeptNameList
    */
    public List<String> getPerformDeptNameList(){
        return this.performDeptNameList;
    }

    /**
    * 设置 行使名称 (实施主体名称)
    * @param performDeptNameList
    */
    public void setPerformDeptNameList(List<String> performDeptNameList){
        this.performDeptNameList = performDeptNameList;
    }
    /**
    * 获取 行使主体（实施性质）
    * @return performDeptTypeList
    */
    public List<String> getPerformDeptTypeList(){
        return this.performDeptTypeList;
    }

    /**
    * 设置 行使主体（实施性质）
    * @param performDeptTypeList
    */
    public void setPerformDeptTypeList(List<String> performDeptTypeList){
        this.performDeptTypeList = performDeptTypeList;
    }
    /**
    * 获取 是否支持上门收取申请材料
    * @return isDoorTakeList
    */
    public List<String> getIsDoorTakeList(){
        return this.isDoorTakeList;
    }

    /**
    * 设置 是否支持上门收取申请材料
    * @param isDoorTakeList
    */
    public void setIsDoorTakeList(List<String> isDoorTakeList){
        this.isDoorTakeList = isDoorTakeList;
    }
    /**
    * 获取 承诺办理总时限
    * @return promiseTimeLimitList
    */
    public List<String> getPromiseTimeLimitList(){
        return this.promiseTimeLimitList;
    }

    /**
    * 设置 承诺办理总时限
    * @param promiseTimeLimitList
    */
    public void setPromiseTimeLimitList(List<String> promiseTimeLimitList){
        this.promiseTimeLimitList = promiseTimeLimitList;
    }
    /**
    * 获取 办理类型:窗口办理、原件预审、原件核验、全程网办
    * @return doThingTypeList
    */
    public List<String> getDoThingTypeList(){
        return this.doThingTypeList;
    }

    /**
    * 设置 办理类型:窗口办理、原件预审、原件核验、全程网办
    * @param doThingTypeList
    */
    public void setDoThingTypeList(List<String> doThingTypeList){
        this.doThingTypeList = doThingTypeList;
    }
    /**
    * 获取 发起主体
    * @return launchBodyList
    */
    public List<String> getLaunchBodyList(){
        return this.launchBodyList;
    }

    /**
    * 设置 发起主体
    * @param launchBodyList
    */
    public void setLaunchBodyList(List<String> launchBodyList){
        this.launchBodyList = launchBodyList;
    }
    /**
    * 获取 省级审查类型
    * @return proReviewTypeList
    */
    public List<String> getProReviewTypeList(){
        return this.proReviewTypeList;
    }

    /**
    * 设置 省级审查类型
    * @param proReviewTypeList
    */
    public void setProReviewTypeList(List<String> proReviewTypeList){
        this.proReviewTypeList = proReviewTypeList;
    }
    /**
    * 获取 市级审查类型
    * @return cityReviewTypeList
    */
    public List<String> getCityReviewTypeList(){
        return this.cityReviewTypeList;
    }

    /**
    * 设置 市级审查类型
    * @param cityReviewTypeList
    */
    public void setCityReviewTypeList(List<String> cityReviewTypeList){
        this.cityReviewTypeList = cityReviewTypeList;
    }
    /**
    * 获取 区县级审查类型
    * @return couReviewTypeList
    */
    public List<String> getCouReviewTypeList(){
        return this.couReviewTypeList;
    }

    /**
    * 设置 区县级审查类型
    * @param couReviewTypeList
    */
    public void setCouReviewTypeList(List<String> couReviewTypeList){
        this.couReviewTypeList = couReviewTypeList;
    }
    /**
    * 获取 乡镇级审查类型
    * @return townReviewTypeList
    */
    public List<String> getTownReviewTypeList(){
        return this.townReviewTypeList;
    }

    /**
    * 设置 乡镇级审查类型
    * @param townReviewTypeList
    */
    public void setTownReviewTypeList(List<String> townReviewTypeList){
        this.townReviewTypeList = townReviewTypeList;
    }
    /**
    * 获取 事项设定来源-枚举多选
    * @return vilReviewTypeList
    */
    public List<String> getVilReviewTypeList(){
        return this.vilReviewTypeList;
    }

    /**
    * 设置 事项设定来源-枚举多选
    * @param vilReviewTypeList
    */
    public void setVilReviewTypeList(List<String> vilReviewTypeList){
        this.vilReviewTypeList = vilReviewTypeList;
    }
    /**
    * 获取 用户类型(1：普通用户，2：会员)
    * @return eventSourceList
    */
    public List<String> getEventSourceList(){
        return this.eventSourceList;
    }

    /**
    * 设置 用户类型(1：普通用户，2：会员)
    * @param eventSourceList
    */
    public void setEventSourceList(List<String> eventSourceList){
        this.eventSourceList = eventSourceList;
    }
    /**
    * 获取 是否数量限制
    * @return isNumberLimitList
    */
    public List<String> getIsNumberLimitList(){
        return this.isNumberLimitList;
    }

    /**
    * 设置 是否数量限制
    * @param isNumberLimitList
    */
    public void setIsNumberLimitList(List<String> isNumberLimitList){
        this.isNumberLimitList = isNumberLimitList;
    }
    /**
    * 获取 数量限制
    * @return numberLimitList
    */
    public List<String> getNumberLimitList(){
        return this.numberLimitList;
    }

    /**
    * 设置 数量限制
    * @param numberLimitList
    */
    public void setNumberLimitList(List<String> numberLimitList){
        this.numberLimitList = numberLimitList;
    }
    /**
    * 获取 事项是否在一体化平台办理
    * @return isIntegrationList
    */
    public List<String> getIsIntegrationList(){
        return this.isIntegrationList;
    }

    /**
    * 设置 事项是否在一体化平台办理
    * @param isIntegrationList
    */
    public void setIsIntegrationList(List<String> isIntegrationList){
        this.isIntegrationList = isIntegrationList;
    }
    /**
    * 获取 部门系统级别
    * @return deptSysLevelList
    */
    public List<String> getDeptSysLevelList(){
        return this.deptSysLevelList;
    }

    /**
    * 设置 部门系统级别
    * @param deptSysLevelList
    */
    public void setDeptSysLevelList(List<String> deptSysLevelList){
        this.deptSysLevelList = deptSysLevelList;
    }
    /**
    * 获取 办理结果是否能够在一体化平台共享
    * @return isShareList
    */
    public List<String> getIsShareList(){
        return this.isShareList;
    }

    /**
    * 设置 办理结果是否能够在一体化平台共享
    * @param isShareList
    */
    public void setIsShareList(List<String> isShareList){
        this.isShareList = isShareList;
    }
    /**
    * 获取 行使方式：1 依申请 2主动行使
    * @return applyObjectList
    */
    public List<String> getApplyObjectList(){
        return this.applyObjectList;
    }

    /**
    * 设置 行使方式：1 依申请 2主动行使
    * @param applyObjectList
    */
    public void setApplyObjectList(List<String> applyObjectList){
        this.applyObjectList = applyObjectList;
    }
    /**
    * 获取 按人生事件分类/按经营活动分类
    * @return lifeEventTypeList
    */
    public List<String> getLifeEventTypeList(){
        return this.lifeEventTypeList;
    }

    /**
    * 设置 按人生事件分类/按经营活动分类
    * @param lifeEventTypeList
    */
    public void setLifeEventTypeList(List<String> lifeEventTypeList){
        this.lifeEventTypeList = lifeEventTypeList;
    }
    /**
    * 获取 按特定对象分类
    * @return specialObjectTypeList
    */
    public List<String> getSpecialObjectTypeList(){
        return this.specialObjectTypeList;
    }

    /**
    * 设置 按特定对象分类
    * @param specialObjectTypeList
    */
    public void setSpecialObjectTypeList(List<String> specialObjectTypeList){
        this.specialObjectTypeList = specialObjectTypeList;
    }
    /**
    * 获取 按扶贫服务分类
    * @return poorObjectTypeList
    */
    public List<String> getPoorObjectTypeList(){
        return this.poorObjectTypeList;
    }

    /**
    * 设置 按扶贫服务分类
    * @param poorObjectTypeList
    */
    public void setPoorObjectTypeList(List<String> poorObjectTypeList){
        this.poorObjectTypeList = poorObjectTypeList;
    }
    /**
    * 获取 办理结果形式
    * @return handleResultFormList
    */
    public List<String> getHandleResultFormList(){
        return this.handleResultFormList;
    }

    /**
    * 设置 办理结果形式
    * @param handleResultFormList
    */
    public void setHandleResultFormList(List<String> handleResultFormList){
        this.handleResultFormList = handleResultFormList;
    }
    /**
    * 获取 部门系统名称
    * @return deptSysNameList
    */
    public List<String> getDeptSysNameList(){
        return this.deptSysNameList;
    }

    /**
    * 设置 部门系统名称
    * @param deptSysNameList
    */
    public void setDeptSysNameList(List<String> deptSysNameList){
        this.deptSysNameList = deptSysNameList;
    }
    /**
    * 获取 原因
    * @return reasonList
    */
    public List<String> getReasonList(){
        return this.reasonList;
    }

    /**
    * 设置 原因
    * @param reasonList
    */
    public void setReasonList(List<String> reasonList){
        this.reasonList = reasonList;
    }
    /**
    * 获取 实施清单业务状态
    * @return eventStatusList
    */
    public List<String> getEventStatusList(){
        return this.eventStatusList;
    }

    /**
    * 设置 实施清单业务状态
    * @param eventStatusList
    */
    public void setEventStatusList(List<String> eventStatusList){
        this.eventStatusList = eventStatusList;
    }
    /**
    * 获取 是否支持快递取件_网办类型
    * @return isExpressTakeOnlineList
    */
    public List<String> getIsExpressTakeOnlineList(){
        return this.isExpressTakeOnlineList;
    }

    /**
    * 设置 是否支持快递取件_网办类型
    * @param isExpressTakeOnlineList
    */
    public void setIsExpressTakeOnlineList(List<String> isExpressTakeOnlineList){
        this.isExpressTakeOnlineList = isExpressTakeOnlineList;
    }
    /**
    * 获取 办事者到办理现场次数_网办类型
    * @return percenceTimesOnlineList
    */
    public List<String> getPercenceTimesOnlineList(){
        return this.percenceTimesOnlineList;
    }

    /**
    * 设置 办事者到办理现场次数_网办类型
    * @param percenceTimesOnlineList
    */
    public void setPercenceTimesOnlineList(List<String> percenceTimesOnlineList){
        this.percenceTimesOnlineList = percenceTimesOnlineList;
    }
    /**
    * 获取 网办类型0：原件预审 1：原件核验 2：全程网办
    * @return onlineTypeList
    */
    public List<String> getOnlineTypeList(){
        return this.onlineTypeList;
    }

    /**
    * 设置 网办类型0：原件预审 1：原件核验 2：全程网办
    * @param onlineTypeList
    */
    public void setOnlineTypeList(List<String> onlineTypeList){
        this.onlineTypeList = onlineTypeList;
    }
    /**
    * 获取 部门id
    * @return deptIdList
    */
    public List<String> getDeptIdList(){
        return this.deptIdList;
    }

    /**
    * 设置 部门id
    * @param deptIdList
    */
    public void setDeptIdList(List<String> deptIdList){
        this.deptIdList = deptIdList;
    }
    /**
    * 获取 节日类型:1 工作日  2 自然日
    * @return daysTypeList
    */
    public List<String> getDaysTypeList(){
        return this.daysTypeList;
    }

    /**
    * 设置 节日类型:1 工作日  2 自然日
    * @param daysTypeList
    */
    public void setDaysTypeList(List<String> daysTypeList){
        this.daysTypeList = daysTypeList;
    }
    /**
    * 获取 目录清单是否变更
    * @return isDirChangeList
    */
    public List<String> getIsDirChangeList(){
        return this.isDirChangeList;
    }

    /**
    * 设置 目录清单是否变更
    * @param isDirChangeList
    */
    public void setIsDirChangeList(List<String> isDirChangeList){
        this.isDirChangeList = isDirChangeList;
    }
    /**
    * 获取 实施清单来源
    * @return implListSourceList
    */
    public List<String> getImplListSourceList(){
        return this.implListSourceList;
    }

    /**
    * 设置 实施清单来源
    * @param implListSourceList
    */
    public void setImplListSourceList(List<String> implListSourceList){
        this.implListSourceList = implListSourceList;
    }
    /**
    * 获取 流程实例id
    * @return wfInstanceIdList
    */
    public List<String> getWfInstanceIdList(){
        return this.wfInstanceIdList;
    }

    /**
    * 设置 流程实例id
    * @param wfInstanceIdList
    */
    public void setWfInstanceIdList(List<String> wfInstanceIdList){
        this.wfInstanceIdList = wfInstanceIdList;
    }
    /**
    * 获取 是否支持全城通办
    * @return isCityWideOfficeList
    */
    public List<String> getIsCityWideOfficeList(){
        return this.isCityWideOfficeList;
    }

    /**
    * 设置 是否支持全城通办
    * @param isCityWideOfficeList
    */
    public void setIsCityWideOfficeList(List<String> isCityWideOfficeList){
        this.isCityWideOfficeList = isCityWideOfficeList;
    }
    /**
    * 获取 是否支持全省范围就近申请
    * @return isApplyProvinceList
    */
    public List<String> getIsApplyProvinceList(){
        return this.isApplyProvinceList;
    }

    /**
    * 设置 是否支持全省范围就近申请
    * @param isApplyProvinceList
    */
    public void setIsApplyProvinceList(List<String> isApplyProvinceList){
        this.isApplyProvinceList = isApplyProvinceList;
    }
    /**
    * 获取 是否支持全省范围就近取件
    * @return isProvinceAcquisitionList
    */
    public List<String> getIsProvinceAcquisitionList(){
        return this.isProvinceAcquisitionList;
    }

    /**
    * 设置 是否支持全省范围就近取件
    * @param isProvinceAcquisitionList
    */
    public void setIsProvinceAcquisitionList(List<String> isProvinceAcquisitionList){
        this.isProvinceAcquisitionList = isProvinceAcquisitionList;
    }
    /**
    * 获取 目录清单编码
    * @return dirListCodeList
    */
    public List<String> getDirListCodeList(){
        return this.dirListCodeList;
    }

    /**
    * 设置 目录清单编码
    * @param dirListCodeList
    */
    public void setDirListCodeList(List<String> dirListCodeList){
        this.dirListCodeList = dirListCodeList;
    }
    /**
    * 获取 实施清单管理列表是否显示该数据
    * @return isShowList
    */
    public List<String> getIsShowList(){
        return this.isShowList;
    }

    /**
    * 设置 实施清单管理列表是否显示该数据
    * @param isShowList
    */
    public void setIsShowList(List<String> isShowList){
        this.isShowList = isShowList;
    }
    /**
    * 获取 末级部门编码
    * @return implDeptCodeList
    */
    public List<String> getImplDeptCodeList(){
        return this.implDeptCodeList;
    }

    /**
    * 设置 末级部门编码
    * @param implDeptCodeList
    */
    public void setImplDeptCodeList(List<String> implDeptCodeList){
        this.implDeptCodeList = implDeptCodeList;
    }
    /**
    * 获取 末级部门id
    * @return implDeptIdList
    */
    public List<String> getImplDeptIdList(){
        return this.implDeptIdList;
    }

    /**
    * 设置 末级部门id
    * @param implDeptIdList
    */
    public void setImplDeptIdList(List<String> implDeptIdList){
        this.implDeptIdList = implDeptIdList;
    }
    /**
    * 获取 厅局办件标识  是否统一受理  1.统一受理 2.非统一受理 3.全程办理
    * @return isUniteAcceptList
    */
    public List<String> getIsUniteAcceptList(){
        return this.isUniteAcceptList;
    }

    /**
    * 设置 厅局办件标识  是否统一受理  1.统一受理 2.非统一受理 3.全程办理
    * @param isUniteAcceptList
    */
    public void setIsUniteAcceptList(List<String> isUniteAcceptList){
        this.isUniteAcceptList = isUniteAcceptList;
    }
    /**
    * 获取 法定时限
    * @return subLegalTimeLimitList
    */
    public List<String> getSubLegalTimeLimitList(){
        return this.subLegalTimeLimitList;
    }

    /**
    * 设置 法定时限
    * @param subLegalTimeLimitList
    */
    public void setSubLegalTimeLimitList(List<String> subLegalTimeLimitList){
        this.subLegalTimeLimitList = subLegalTimeLimitList;
    }
    /**
    * 获取 承诺时限
    * @return subPromiseTimeLimitList
    */
    public List<String> getSubPromiseTimeLimitList(){
        return this.subPromiseTimeLimitList;
    }

    /**
    * 设置 承诺时限
    * @param subPromiseTimeLimitList
    */
    public void setSubPromiseTimeLimitList(List<String> subPromiseTimeLimitList){
        this.subPromiseTimeLimitList = subPromiseTimeLimitList;
    }
    /**
    * 获取 事项简称(俗语)
    * @return commonSayingList
    */
    public List<String> getCommonSayingList(){
        return this.commonSayingList;
    }

    /**
    * 设置 事项简称(俗语)
    * @param commonSayingList
    */
    public void setCommonSayingList(List<String> commonSayingList){
        this.commonSayingList = commonSayingList;
    }
    /**
    * 获取 承诺办理总时限单位
    * @return clDaysTypeList
    */
    public List<String> getClDaysTypeList(){
        return this.clDaysTypeList;
    }

    /**
    * 设置 承诺办理总时限单位
    * @param clDaysTypeList
    */
    public void setClDaysTypeList(List<String> clDaysTypeList){
        this.clDaysTypeList = clDaysTypeList;
    }
    /**
    * 获取 是否割接数据 1表示是  null 表示否
    * @return isCutOffList
    */
    public List<String> getIsCutOffList(){
        return this.isCutOffList;
    }

    /**
    * 设置 是否割接数据 1表示是  null 表示否
    * @param isCutOffList
    */
    public void setIsCutOffList(List<String> isCutOffList){
        this.isCutOffList = isCutOffList;
    }
    /**
    * 获取 是否割接数据 1:是
    * @return isOlddataList
    */
    public List<String> getIsOlddataList(){
        return this.isOlddataList;
    }

    /**
    * 设置 是否割接数据 1:是
    * @param isOlddataList
    */
    public void setIsOlddataList(List<String> isOlddataList){
        this.isOlddataList = isOlddataList;
    }
    /**
    * 获取 权力来源
    * @return powerSourceList
    */
    public List<String> getPowerSourceList(){
        return this.powerSourceList;
    }

    /**
    * 设置 权力来源
    * @param powerSourceList
    */
    public void setPowerSourceList(List<String> powerSourceList){
        this.powerSourceList = powerSourceList;
    }
    /**
    * 获取 委托部门
    * @return entrustDeptList
    */
    public List<String> getEntrustDeptList(){
        return this.entrustDeptList;
    }

    /**
    * 设置 委托部门
    * @param entrustDeptList
    */
    public void setEntrustDeptList(List<String> entrustDeptList){
        this.entrustDeptList = entrustDeptList;
    }
    /**
    * 获取 特别程序
    * @return specProcedureList
    */
    public List<String> getSpecProcedureList(){
        return this.specProcedureList;
    }

    /**
    * 设置 特别程序
    * @param specProcedureList
    */
    public void setSpecProcedureList(List<String> specProcedureList){
        this.specProcedureList = specProcedureList;
    }
    /**
    * 获取 通办范围:1全国 2跨省 3跨市 4跨县 5跨镇（乡、街道）6跨村（社区）
    * @return operatScopeList
    */
    public List<String> getOperatScopeList(){
        return this.operatScopeList;
    }

    /**
    * 设置 通办范围:1全国 2跨省 3跨市 4跨县 5跨镇（乡、街道）6跨村（社区）
    * @param operatScopeList
    */
    public void setOperatScopeList(List<String> operatScopeList){
        this.operatScopeList = operatScopeList;
    }
    /**
    * 获取 联办机构
    * @return jointagencyList
    */
    public List<String> getJointagencyList(){
        return this.jointagencyList;
    }

    /**
    * 设置 联办机构
    * @param jointagencyList
    */
    public void setJointagencyList(List<String> jointagencyList){
        this.jointagencyList = jointagencyList;
    }
    /**
    * 获取 审批结果类型 枚举项：10证照 20批文 30其他 99无
    * @return applyresultTypeList
    */
    public List<String> getApplyresultTypeList(){
        return this.applyresultTypeList;
    }

    /**
    * 设置 审批结果类型 枚举项：10证照 20批文 30其他 99无
    * @param applyresultTypeList
    */
    public void setApplyresultTypeList(List<String> applyresultTypeList){
        this.applyresultTypeList = applyresultTypeList;
    }
    /**
    * 获取 变更结果记录
    * @return applyresultsSampleList
    */
    public List<String> getApplyresultsSampleList(){
        return this.applyresultsSampleList;
    }

    /**
    * 设置 变更结果记录
    * @param applyresultsSampleList
    */
    public void setApplyresultsSampleList(List<String> applyresultsSampleList){
        this.applyresultsSampleList = applyresultsSampleList;
    }
    /**
    * 获取 实施清单展示编码
    * @return showEventCodeList
    */
    public List<String> getShowEventCodeList(){
        return this.showEventCodeList;
    }

    /**
    * 设置 实施清单展示编码
    * @param showEventCodeList
    */
    public void setShowEventCodeList(List<String> showEventCodeList){
        this.showEventCodeList = showEventCodeList;
    }
    /**
    * 获取 页面展示目录清单编码
    * @return showDirCodeList
    */
    public List<String> getShowDirCodeList(){
        return this.showDirCodeList;
    }

    /**
    * 设置 页面展示目录清单编码
    * @param showDirCodeList
    */
    public void setShowDirCodeList(List<String> showDirCodeList){
        this.showDirCodeList = showDirCodeList;
    }
    /**
    * 获取 是否设置证照
    * @return isSetLicenseList
    */
    public List<String> getIsSetLicenseList(){
        return this.isSetLicenseList;
    }

    /**
    * 设置 是否设置证照
    * @param isSetLicenseList
    */
    public void setIsSetLicenseList(List<String> isSetLicenseList){
        this.isSetLicenseList = isSetLicenseList;
    }
    /**
    * 获取 是否场景化事项
    * @return isSceneServerList
    */
    public List<String> getIsSceneServerList(){
        return this.isSceneServerList;
    }

    /**
    * 设置 是否场景化事项
    * @param isSceneServerList
    */
    public void setIsSceneServerList(List<String> isSceneServerList){
        this.isSceneServerList = isSceneServerList;
    }
    /**
    * 获取 事项名称首字母
    * @return eventInitialList
    */
    public List<String> getEventInitialList(){
        return this.eventInitialList;
    }

    /**
    * 设置 事项名称首字母
    * @param eventInitialList
    */
    public void setEventInitialList(List<String> eventInitialList){
        this.eventInitialList = eventInitialList;
    }
    /**
    * 获取 国家编码
    * @return catalogcodeList
    */
    public List<String> getCatalogcodeList(){
        return this.catalogcodeList;
    }

    /**
    * 设置 国家编码
    * @param catalogcodeList
    */
    public void setCatalogcodeList(List<String> catalogcodeList){
        this.catalogcodeList = catalogcodeList;
    }
    /**
    * 获取 子项编码
    * @return subcodeList
    */
    public List<String> getSubcodeList(){
        return this.subcodeList;
    }

    /**
    * 设置 子项编码
    * @param subcodeList
    */
    public void setSubcodeList(List<String> subcodeList){
        this.subcodeList = subcodeList;
    }
    /**
    * 获取 特殊状态（为空或0；1表示在门户列表中不展示的数据，办事指南和在线申请需要展示）
    * @return specialStatusList
    */
    public List<String> getSpecialStatusList(){
        return this.specialStatusList;
    }

    /**
    * 设置 特殊状态（为空或0；1表示在门户列表中不展示的数据，办事指南和在线申请需要展示）
    * @param specialStatusList
    */
    public void setSpecialStatusList(List<String> specialStatusList){
        this.specialStatusList = specialStatusList;
    }
    /**
    * 获取 材料目录模式:null为2.0模式，1：3.0模式
    * @return materialVersionList
    */
    public List<String> getMaterialVersionList(){
        return this.materialVersionList;
    }

    /**
    * 设置 材料目录模式:null为2.0模式，1：3.0模式
    * @param materialVersionList
    */
    public void setMaterialVersionList(List<String> materialVersionList){
        this.materialVersionList = materialVersionList;
    }
    /**
    * 获取 码表多选
    * @return projectTypeList
    */
    public List<String> getProjectTypeList(){
        return this.projectTypeList;
    }

    /**
    * 设置 码表多选
    * @param projectTypeList
    */
    public void setProjectTypeList(List<String> projectTypeList){
        this.projectTypeList = projectTypeList;
    }
    /**
    * 获取 审核状态(0：审核中1：审核通过2：审核失败）
    * @return auditStateList
    */
    public List<String> getAuditStateList(){
        return this.auditStateList;
    }

    /**
    * 设置 审核状态(0：审核中1：审核通过2：审核失败）
    * @param auditStateList
    */
    public void setAuditStateList(List<String> auditStateList){
        this.auditStateList = auditStateList;
    }
    /**
    * 获取 存放公共服务类型：2A,2B,2C
    * @return publicServiceTypeList
    */
    public List<String> getPublicServiceTypeList(){
        return this.publicServiceTypeList;
    }

    /**
    * 设置 存放公共服务类型：2A,2B,2C
    * @param publicServiceTypeList
    */
    public void setPublicServiceTypeList(List<String> publicServiceTypeList){
        this.publicServiceTypeList = publicServiceTypeList;
    }
    /**
    * 获取 是否有效：0 否，1 是，2 暂停
    * @return isValidList
    */
    public List<String> getIsValidList(){
        return this.isValidList;
    }

    /**
    * 设置 是否有效：0 否，1 是，2 暂停
    * @param isValidList
    */
    public void setIsValidList(List<String> isValidList){
        this.isValidList = isValidList;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ImplementlistQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ImplementlistQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ImplementlistQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ImplementlistQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}